package space.kklochko.jpa_hospital_example.cli.parsers;

import lombok.NonNull;

import java.util.HashMap;
import java.util.LinkedHashMap;
import java.util.Map;
import java.util.TreeMap;

public class ArgumentParser {
    public Map<String, String> parse(@NonNull String args) {
        Map<String, String> parsed = new LinkedHashMap<String, String>();

        if(args == "") return parsed;

        // remove last '
        args = args.substring(0, args.length() - 1);

        for(String arg : args.split("',")) {
            String[] parts = arg.split("=");
            parsed.put(parts[0].trim(), removeQuotes(parts[1]));
        }

        return parsed;
    }

    public String removeQuotes(@NonNull String withQuotes) {
        return withQuotes.substring(1, withQuotes.length());
    }
}
