package space.kklochko.jpa_hospital_example.db.repositories;

import jakarta.persistence.EntityManager;
import lombok.Setter;

import java.util.ArrayList;
import java.util.UUID;

@Setter
public abstract class AbstractRepository<T> {
    EntityManager manager;

    public AbstractRepository(EntityManager manager){
        setManager(manager);
    }

    public abstract boolean create(T object);

    public abstract T read(UUID id);

    public abstract ArrayList<T> readAll();

    public abstract boolean update(T object);

    public abstract boolean delete(UUID id);
}
