package space.kklochko.jpa_hospital_example.db.repositories.blocks;

import jakarta.persistence.EntityManager;
import jakarta.persistence.PersistenceException;
import jakarta.persistence.RollbackException;
import space.kklochko.jpa_hospital_example.models.Department;
import space.kklochko.jpa_hospital_example.models.Indicator;
import space.kklochko.jpa_hospital_example.models.Patient;

import java.util.UUID;

public class TransactionalInsert {
    public <T> boolean run(EntityManager manager, T object) {
        try {
            if (!manager.getTransaction().isActive())
                manager.getTransaction().begin();

            manager.persist(object);
            manager.getTransaction().commit();
            return true;
        } catch (PersistenceException e){
            if (manager.getTransaction().isActive()) {
                manager.getTransaction().rollback();
            }

            return (new TransactionalUpdate()).run(manager, object);
        }
    }
}
