package space.kklochko.jpa_hospital_example.db.repositories.blocks;

import jakarta.persistence.EntityManager;
import jakarta.persistence.RollbackException;

public class TransactionalUpdate {
    public <T> boolean run(EntityManager manager, T object)  {
        try {
            manager.getTransaction().begin();
            manager.merge(object);
            manager.getTransaction().commit();
            return true;
        } catch (RollbackException e) {
            if (manager.getTransaction().isActive()) {
                manager.getTransaction().rollback();
            }
            return false;
        }
    }
}
