package space.kklochko.jpa_hospital_example.cli.validators

import space.kklochko.jpa_hospital_example.cli.commands.CommandData
import space.kklochko.jpa_hospital_example.cli.parsers.CommandParser
import spock.lang.Specification
import spock.lang.Subject

class InputStringFormatValidatorSpec extends Specification {
    def "Parser parse the commands"() {
        given: "I have the validator"
        @Subject
        def validator = new InputStringFormatValidator(command)

        when: "check if valid"
        boolean status = validator.isValid()

        then: "the result must be as expected"
        status == expectedStatus

        where:
        command                                                                                                  || expectedStatus
        "insert indicator(id='1', type='blood', values='Good samples.', timestamp='2023-10-17 14:30:00')"        || true
        " insert indicator(id='1', type='blood, blood', values='Good samples.', timestamp='2023-10-17 14:30:00') " || false
        "insert indicator(id='1', type='blood, blood', values='Good samples.', timestamp='2023-10-17 14:30:00')" || true
        "readAll indicator()"                                                                                    || true
        " readAll indicator() "                                                                                   || false
    }
}
